SmartMemory
POST
/memory/temporal/{item_id}/rollback

Rollback item to previous version.

Restores item to specified version or timestamp. Creates new version (doesn't delete history).

Authorization

AuthorizationBearer <token>

Send Authorization: Bearer <token>. The token is either a Clerk session JWT or a SmartMemory API key (prefix sm_live_, sm_test_, or legacy sk_).

In: header

Path Parameters

item_id*Item Id

Query Parameters

to_version?|

Version number to rollback to

to_time?|

Timestamp to rollback to

Response Body

application/json

application/json

curl -X POST "https://example.com/memory/temporal/string/rollback"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}